X2Go Bug report logs - #1376
Arithmetic exception error reading variable: Division by zero git20190114.1758

Package: x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64; Maintainer for x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64 is (unknown);

Reported by: Robert Kudyba <rkudyba@fordham.edu>

Date: Wed, 27 Feb 2019 20:50:02 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1376; Package x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64. (Wed, 27 Feb 2019 20:50:03 GMT) (full text, mbox, link).


Acknowledgement sent to Robert Kudyba <rkudyba@fordham.edu>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Wed, 27 Feb 2019 20:50:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Robert Kudyba <rkudyba@fordham.edu>
To: submit@bugs.x2go.org
Subject: Arithmetic exception error reading variable: Division by zero git20190114.1758
Date: Wed, 27 Feb 2019 15:47:39 -0500
[Message part 1 (text/plain, inline)]
Package: x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64
nx-libs-3.5.99.18-0.0build1.0.git20190208.3237.heuler.fc29.x86_64
Version: 4.1.0.4-0.0x2go1.0.git20190114.1758

git20190114.1758: Program terminated with signal SIGFPE, Arithmetic
exception error reading variable: Division by zero

Using X2Go with MATE. NIS users are impacted, local users can still login.

from /var/log/message:

Feb 15 09:19:17 ourserver /usr/bin/x2gostartagent[591]: successfully
started X2Go Agent session with ID agw-57-1550240355_stDMATE_dp32
Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1114]: launching session
with Xsession-x2go mechanism, using STARTUP="mate-session"
Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1116]: dbus wrapper
available as /usr/bin/dbus-run-session
Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: couldn't access
control socket: /run/user/1201/keyring/control: No such file or directory
Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode1 not existent
Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode2 not existent
Feb 15 09:19:21 ourserver systemd[1653]: Starting Sound Service...
Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: Could not launch
application 'dropbox.desktop': Unable to start application: Failed to
execute child process <E2><80><9C>dropbox<E2><80><9D> (No such file or
directory)
Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The SSH agent was
already initialized
Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The PKCS#11 component
was already initialized
Feb 15 09:19:22 ourserver gnome-keyring-daemon[1362]: The Secret Service
was already initialized
Feb 15 09:19:22 ourserver spice-vdagent[1504]: Cannot access vdagent virtio
channel /dev/virtio-ports/com.redhat.spice.0
Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Rejected send message,
2 matched rules; type="method_call", sender=":1.349276" (uid=1201 pid=1415
comm="/usr/bin/pulseaudio --daemonize=no ")
interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Activating service
name='org.freedesktop.problems' requested by ':1.349262' (uid=1201 pid=1490
comm="abrt-applet --gapplication-service ") (using servicehelper)
Feb 15 09:19:22 ourserver systemd[1653]: Started Sound Service.
Feb 15 09:19:22 ourserver pulseaudio[1415]: E: [pulseaudio] bluez5-util.c:
GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
Rejected send message, 2 matched rules; type="method_call",
sender=":1.349276" (uid=1201 pid=1415 comm="/usr/bin/pulseaudio
--daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
member="GetManagedObjects" error name="(unset)" requested_reply="0"
destination="org.bluez" (bus)
Feb 15 09:19:24 ourserver kernel: traps: x2goagent[576] trap divide error
ip:55fdd31839fc sp:7fff211e8100 error:0 in nxagent[55fdd3095000+318000]
Feb 15 09:19:25 ourserver systemd[1]: Started Process Core Dump (PID
1650/UID 0).
Feb 15 09:19:25 ourserver pulseaudio[1415]: XIO:  fatal IO error 11
(Resource temporarily unavailable) on X server ":57"
Feb 15 09:19:25 ourserver pulseaudio[1415]:      after 18 requests (18
known processed) with 0 events remaining.
Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Main process
exited, code=exited, status=1/FAILURE
Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Failed with
result 'exit-code'.
Feb 15 09:19:25 ourserver mate-session[1126]: WARNING: Detected that
screensaver has left the bus
Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Service
RestartSec=100ms expired, scheduling restart.
Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Scheduled
restart job, restart counter is at 1.
Feb 15 09:19:26 ourserver systemd[1653]: Stopped Sound Service.
Feb 15 09:19:26 ourserver systemd[1653]: Starting Sound Service...
Feb 15 09:19:28 ourserver pulseaudio[1686]: W: [pulseaudio] pid.c: Stale
PID file, overwriting.
Feb 15 09:19:28 ourserver dbus-daemon[842]: [system] Rejected send message,
2 matched rules; type="method_call", sender=":1.349363" (uid=1201 pid=1686
comm="/usr/bin/pulseaudio --daemonize=no ")
interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
Feb 15 09:19:28 ourserver systemd-coredump[1651]: Process 576 (x2goagent)
of user 1201 dumped core.#012#012Stack trace of thread 576:#012#0
0x000055fdd31839fc n/a (nxagent)#012#1  0x000055fdd3183ad5 n/a
(nxagent)#012#2  0x000055fdd3179c66 n/a (nxagent)#012#3  0x000055fdd30b5cc8
n/a (nxagent)#012#4  0x000055fdd3099821 n/a (nxagent)#012#5
0x00007f634ffa3413 __libc_start_main (libc.so.6)#012#6  0x000055fdd3099b5e
n/a (nxagent)
Feb 15 09:19:29 ourserver pulseaudio[1686]: E: [pulseaudio] bluez5-util.c:
GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
Rejected send message, 2 matched rules; type="method_call",
sender=":1.349363" (uid=1201 pid=1686 comm="/usr/bin/pulseaudio
--daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
member="GetManagedObjects" error name="(unset)" requested_reply="0"
destination="org.bluez" (bus)

here's a backtrace:
Core was generated by: x2goagent -nolisten tcp -nolisten tcp -dpi 96 -D
-auth /path/to/.Xauthori'.
Program terminated with signal SIGFPE, Arithmetic exception.
#0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
688     xkbUtils.c: No such file or directory.
(gdb) bt full
#0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
        act = 0
#1  0x000055fdd3183ad5 in XkbComputeDerivedState (xkbi=0x55fdd4422100) at
xkbUtils.c:714
        state = 0x55fdd4422112
        ctrls = 0x55fdd440cd00
        grp = <optimized out>
#2  0x000055fdd3179c66 in ProcXkbLatchLockState (client=0x55fdd47b2930) at
xkb.c:560
        status = <optimized out>
        dev = 0x55fdd43d8870
        oldState = {group = 0 '\000', locked_group = 0 '\000', base_group =
0, latched_group = 0, mods = 0 '\000', base_mods = 0 '\000', latched_mods =
0 '\000', locked_mods = 0 '\000',
          compat_state = 0 '\000', grab_mods = 0 '\000', compat_grab_mods =
0 '\000', lookup_mods = 0 '\000', compat_lookup_mods = 0 '\000',
ptr_buttons = 0}
        newState = 0x55fdd4422112
        changed = <optimized out>
        stuff = <optimized out>
#3  0x000055fdd30b5cc8 in Dispatch () at NXdispatch.c:482
        clientReady = 0x55fdd44064a0
        result = <optimized out>
        client = 0x55fdd47b2930
        nready = <optimized out>
        icheck = 0x55fdd34e36d0 <checkForInput>
        start_tick = 0
        currentDispatch = <optimized out>
#4  0x000055fdd3099821 in main (argc=15, argv=0x7fff211e8358,
envp=<optimized out>) at main.c:353
        i = <optimized out>
        xauthfile = <optimized out>
        alwaysCheckForInput = {0, 1}

xsession error log, from a later attempt:
mate-session[16641]: WARNING: keycode1 not existent
mate-session[16641]: WARNING: keycode2 not existent
Window manager warning: Missing composite extension required for
compositingmate-session[16641]: WARNING: Could not launch application
'dropbox.desktop': Unable to start application: Failed to execute child
process “dropbox†(No such file or directory)
Geolocation service not in use
SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
Failure: Module initialization failed
SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
Gdk-Message: 09:03:57.940: marco: Fatal IO error 11 (Resource temporarily
unavailable) on X server :57.

Gdk-Message: 09:03:57.941: mate-settings-daemon: Fatal IO error 2 (No such
file or directory) on X server :57.

Unable to init server: Could not connect: Connection refused

(polkit-mate-authentication-agent-1:16978): Gtk-WARNING **: 09:03:57.941:
cannot open display: :57
Gdk-Message: 09:03:57.944: mate-volume-control-applet: Fatal IO error 11
(Resource temporarily unavailable) on X server :57.

Unable to init server: Could not connect: Connection refused

(nm-applet:16974): Gtk-WARNING **: 09:03:57.945: cannot open display: :57
Unable to init server: Could not connect: Connection refused

(mate-power-manager:17041): Gtk-WARNING **: 09:03:59.505: cannot open
display: :57
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
vmware-user: could not open /proc/fs/vmblock/dev
Gdk-Message: 09:04:02.022: caja: Fatal IO error 2 (No such file or
directory) on X server :57.

Gdk-Message: 09:04:02.022: mate-session: Fatal IO error 2 (No such file or
directory) on X server :57.


** (mate-screensaver:16949): WARNING **: 09:04:02.031: Couldn't get
presence status: Message recipient disconnected from message bus without
replying
Gdk-Message: 09:04:02.033: mate-screensaver: Fatal IO error 11 (Resource
temporarily unavailable) on X server :57.


** (zeitgeist-datahub:17050): CRITICAL **: 09:04:02.040: log.vala:102:
Unable to connect to Zeitgeist: Error calling StartServiceByName for
org.gnome.zeitgeist.Engine: The connection is closed
Error creating proxy: Error calling StartServiceByName for
org.gtk.vfs.GoaVolumeMonitor: The connection is closed (g-io-error-quark,
18)

(mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.041: Error while sending
AddMatch() message: The connection is closed
Error creating proxy: Error calling StartServiceByName for
org.gtk.vfs.MTPVolumeMonitor: The connection is closed (g-io-error-quark,
18)

(mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending
AddMatch() message: The connection is closed
Error creating proxy: Error calling StartServiceByName for
org.gtk.vfs.GPhoto2VolumeMonitor: The connection is closed
(g-io-error-quark, 18)

(mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending
AddMatch() message: The connection is closed
Error creating proxy: Error calling StartServiceByName for
org.gtk.vfs.AfcVolumeMonitor: The connection is closed (g-io-error-quark,
18)

(mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.043: Error while sending
AddMatch() message: The connection is closed
Error creating proxy: Error calling StartServiceByName for
org.gtk.vfs.Daemon: The connection is closed (g-io-error-quark, 18)
Gdk-Message: 09:04:02.376: mate-panel: Fatal IO error 2 (No such file or
directory) on X server :57.

SELinux Troubleshooter: Applet requires SELinux be enabled to run
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused

** (blueberry-obex-agent.py:16947): CRITICAL **: 09:04:05.296: Failed to
get connection to xfconfd: Could not connect: Connection refused
Traceback (most recent call last):
  File "/usr/bin/dnfdragora-updater", line 32, in <module>
    import dnfdaemon.client
  File "/usr/lib/python3.7/site-packages/dnfdaemon/client/__init__.py",
line 192, in <module>
    session = DBus(Gio.bus_get_sync(Gio.BusType.SESSION, None))
gi.repository.GLib.Error: g-io-error-quark: Could not connect: Connection
refused (39)
Unable to init server: Could not connect: Connection refused

(blueberry-tray.py:17042): Gtk-WARNING **: 09:04:05.610: cannot open
display: :57
Unable to init server: Could not connect: Connection refused

(evolution-alarm-notify:17015): Gtk-WARNING **: 09:04:06.303: cannot open
display: :57

(vmware-user:17085): Gtk-WARNING **: 09:04:07.405: cannot open display: :57
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1376; Package x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64. (Wed, 27 Feb 2019 22:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 27 Feb 2019 22:00:02 GMT) (full text, mbox, link).


Message #10 received at 1376@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Robert Kudyba <rkudyba@fordham.edu>, 1376@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1376: Arithmetic exception error reading variable: Division by zero git20190114.1758
Date: Wed, 27 Feb 2019 22:54:32 +0100
Ouch... What does setxkmap -query -v 10 show outside the session and
(if possible) inside the session?

BTW: I don't see why NIS users should make a difference here
BTW2: try to avoid NIS. Today I read RHEL8 will finally drop it.

Uli

On Wed, Feb 27, 2019 at 9:51 PM Robert Kudyba <rkudyba@fordham.edu> wrote:
>
> Package: x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64
> nx-libs-3.5.99.18-0.0build1.0.git20190208.3237.heuler.fc29.x86_64
> Version: 4.1.0.4-0.0x2go1.0.git20190114.1758
>
> git20190114.1758: Program terminated with signal SIGFPE, Arithmetic exception error reading variable: Division by zero
>
> Using X2Go with MATE. NIS users are impacted, local users can still login.
>
> from /var/log/message:
>
> Feb 15 09:19:17 ourserver /usr/bin/x2gostartagent[591]: successfully
> started X2Go Agent session with ID agw-57-1550240355_stDMATE_dp32
> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1114]: launching session
> with Xsession-x2go mechanism, using STARTUP="mate-session"
> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1116]: dbus wrapper
> available as /usr/bin/dbus-run-session
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: couldn't access
> control socket: /run/user/1201/keyring/control: No such file or directory
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode1 not existent
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode2 not existent
> Feb 15 09:19:21 ourserver systemd[1653]: Starting Sound Service...
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: Could not launch
> application 'dropbox.desktop': Unable to start application: Failed to
> execute child process <E2><80><9C>dropbox<E2><80><9D> (No such file or
> directory)
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The SSH agent was
> already initialized
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The PKCS#11 component
> was already initialized
> Feb 15 09:19:22 ourserver gnome-keyring-daemon[1362]: The Secret Service
> was already initialized
> Feb 15 09:19:22 ourserver spice-vdagent[1504]: Cannot access vdagent virtio
> channel /dev/virtio-ports/com.redhat.spice.0
> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Rejected send message,
> 2 matched rules; type="method_call", sender=":1.349276" (uid=1201 pid=1415
> comm="/usr/bin/pulseaudio --daemonize=no ")
> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Activating service
> name='org.freedesktop.problems' requested by ':1.349262' (uid=1201 pid=1490
> comm="abrt-applet --gapplication-service ") (using servicehelper)
> Feb 15 09:19:22 ourserver systemd[1653]: Started Sound Service.
> Feb 15 09:19:22 ourserver pulseaudio[1415]: E: [pulseaudio] bluez5-util.c:
> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
> Rejected send message, 2 matched rules; type="method_call",
> sender=":1.349276" (uid=1201 pid=1415 comm="/usr/bin/pulseaudio
> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
> member="GetManagedObjects" error name="(unset)" requested_reply="0"
> destination="org.bluez" (bus)
> Feb 15 09:19:24 ourserver kernel: traps: x2goagent[576] trap divide error
> ip:55fdd31839fc sp:7fff211e8100 error:0 in nxagent[55fdd3095000+318000]
> Feb 15 09:19:25 ourserver systemd[1]: Started Process Core Dump (PID
> 1650/UID 0).
> Feb 15 09:19:25 ourserver pulseaudio[1415]: XIO:  fatal IO error 11
> (Resource temporarily unavailable) on X server ":57"
> Feb 15 09:19:25 ourserver pulseaudio[1415]:      after 18 requests (18
> known processed) with 0 events remaining.
> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Main process
> exited, code=exited, status=1/FAILURE
> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Failed with
> result 'exit-code'.
> Feb 15 09:19:25 ourserver mate-session[1126]: WARNING: Detected that
> screensaver has left the bus
> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Service
> RestartSec=100ms expired, scheduling restart.
> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Scheduled
> restart job, restart counter is at 1.
> Feb 15 09:19:26 ourserver systemd[1653]: Stopped Sound Service.
> Feb 15 09:19:26 ourserver systemd[1653]: Starting Sound Service...
> Feb 15 09:19:28 ourserver pulseaudio[1686]: W: [pulseaudio] pid.c: Stale
> PID file, overwriting.
> Feb 15 09:19:28 ourserver dbus-daemon[842]: [system] Rejected send message,
> 2 matched rules; type="method_call", sender=":1.349363" (uid=1201 pid=1686
> comm="/usr/bin/pulseaudio --daemonize=no ")
> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
> Feb 15 09:19:28 ourserver systemd-coredump[1651]: Process 576 (x2goagent)
> of user 1201 dumped core.#012#012Stack trace of thread 576:#012#0
> 0x000055fdd31839fc n/a (nxagent)#012#1  0x000055fdd3183ad5 n/a
> (nxagent)#012#2  0x000055fdd3179c66 n/a (nxagent)#012#3  0x000055fdd30b5cc8
> n/a (nxagent)#012#4  0x000055fdd3099821 n/a (nxagent)#012#5
> 0x00007f634ffa3413 __libc_start_main (libc.so.6)#012#6  0x000055fdd3099b5e
> n/a (nxagent)
> Feb 15 09:19:29 ourserver pulseaudio[1686]: E: [pulseaudio] bluez5-util.c:
> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
> Rejected send message, 2 matched rules; type="method_call",
> sender=":1.349363" (uid=1201 pid=1686 comm="/usr/bin/pulseaudio
> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
> member="GetManagedObjects" error name="(unset)" requested_reply="0"
> destination="org.bluez" (bus)
>
> here's a backtrace:
> Core was generated by: x2goagent -nolisten tcp -nolisten tcp -dpi 96 -D
> -auth /path/to/.Xauthori'.
> Program terminated with signal SIGFPE, Arithmetic exception.
> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
> 688     xkbUtils.c: No such file or directory.
> (gdb) bt full
> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
>         act = 0
> #1  0x000055fdd3183ad5 in XkbComputeDerivedState (xkbi=0x55fdd4422100) at
> xkbUtils.c:714
>         state = 0x55fdd4422112
>         ctrls = 0x55fdd440cd00
>         grp = <optimized out>
> #2  0x000055fdd3179c66 in ProcXkbLatchLockState (client=0x55fdd47b2930) at
> xkb.c:560
>         status = <optimized out>
>         dev = 0x55fdd43d8870
>         oldState = {group = 0 '\000', locked_group = 0 '\000', base_group =
> 0, latched_group = 0, mods = 0 '\000', base_mods = 0 '\000', latched_mods =
> 0 '\000', locked_mods = 0 '\000',
>           compat_state = 0 '\000', grab_mods = 0 '\000', compat_grab_mods =
> 0 '\000', lookup_mods = 0 '\000', compat_lookup_mods = 0 '\000',
> ptr_buttons = 0}
>         newState = 0x55fdd4422112
>         changed = <optimized out>
>         stuff = <optimized out>
> #3  0x000055fdd30b5cc8 in Dispatch () at NXdispatch.c:482
>         clientReady = 0x55fdd44064a0
>         result = <optimized out>
>         client = 0x55fdd47b2930
>         nready = <optimized out>
>         icheck = 0x55fdd34e36d0 <checkForInput>
>         start_tick = 0
>         currentDispatch = <optimized out>
> #4  0x000055fdd3099821 in main (argc=15, argv=0x7fff211e8358,
> envp=<optimized out>) at main.c:353
>         i = <optimized out>
>         xauthfile = <optimized out>
>         alwaysCheckForInput = {0, 1}
>
> xsession error log, from a later attempt:
> mate-session[16641]: WARNING: keycode1 not existent
> mate-session[16641]: WARNING: keycode2 not existent
> Window manager warning: Missing composite extension required for compositingmate-session[16641]: WARNING: Could not launch application 'dropbox.desktop': Unable to start application: Failed to execute child process “dropbox†(No such file or directory)
> Geolocation service not in use
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> Failure: Module initialization failed
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> Gdk-Message: 09:03:57.940: marco: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
> Gdk-Message: 09:03:57.941: mate-settings-daemon: Fatal IO error 2 (No such file or directory) on X server :57.
>
> Unable to init server: Could not connect: Connection refused
>
> (polkit-mate-authentication-agent-1:16978): Gtk-WARNING **: 09:03:57.941: cannot open display: :57
> Gdk-Message: 09:03:57.944: mate-volume-control-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
> Unable to init server: Could not connect: Connection refused
>
> (nm-applet:16974): Gtk-WARNING **: 09:03:57.945: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
>
> (mate-power-manager:17041): Gtk-WARNING **: 09:03:59.505: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> vmware-user: could not open /proc/fs/vmblock/dev
> Gdk-Message: 09:04:02.022: caja: Fatal IO error 2 (No such file or directory) on X server :57.
>
> Gdk-Message: 09:04:02.022: mate-session: Fatal IO error 2 (No such file or directory) on X server :57.
>
>
> ** (mate-screensaver:16949): WARNING **: 09:04:02.031: Couldn't get presence status: Message recipient disconnected from message bus without replying
> Gdk-Message: 09:04:02.033: mate-screensaver: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
>
> ** (zeitgeist-datahub:17050): CRITICAL **: 09:04:02.040: log.vala:102: Unable to connect to Zeitgeist: Error calling StartServiceByName for org.gnome.zeitgeist.Engine: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GoaVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.041: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.MTPVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GPhoto2VolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.AfcVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.043: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.Daemon: The connection is closed (g-io-error-quark, 18)
> Gdk-Message: 09:04:02.376: mate-panel: Fatal IO error 2 (No such file or directory) on X server :57.
>
> SELinux Troubleshooter: Applet requires SELinux be enabled to run
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
>
> ** (blueberry-obex-agent.py:16947): CRITICAL **: 09:04:05.296: Failed to get connection to xfconfd: Could not connect: Connection refused
> Traceback (most recent call last):
>   File "/usr/bin/dnfdragora-updater", line 32, in <module>
>     import dnfdaemon.client
>   File "/usr/lib/python3.7/site-packages/dnfdaemon/client/__init__.py", line 192, in <module>
>     session = DBus(Gio.bus_get_sync(Gio.BusType.SESSION, None))
> gi.repository.GLib.Error: g-io-error-quark: Could not connect: Connection refused (39)
> Unable to init server: Could not connect: Connection refused
>
> (blueberry-tray.py:17042): Gtk-WARNING **: 09:04:05.610: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
>
> (evolution-alarm-notify:17015): Gtk-WARNING **: 09:04:06.303: cannot open display: :57
>
> (vmware-user:17085): Gtk-WARNING **: 09:04:07.405: cannot open display: :57
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1376; Package x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64. (Thu, 28 Feb 2019 20:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Robert Kudyba <rkudyba@fordham.edu>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 28 Feb 2019 20:55:02 GMT) (full text, mbox, link).


Message #15 received at 1376@bugs.x2go.org (full text, mbox, reply):

From: Robert Kudyba <rkudyba@fordham.edu>
To: uli42@gmx.de
Cc: 1376@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1376: Arithmetic exception error reading variable: Division by zero git20190114.1758
Date: Thu, 28 Feb 2019 15:50:32 -0500
[Message part 1 (text/plain, inline)]
Apologues I forgot to reply all:
Just in SSH:
setxkbmap -query -v 10
Setting verbose level to 10
locale is C
Trying to load rules file ./rules/base...
Trying to load rules file /usr/share/X11/xkb/rules/base...
Success.
Applied rules from base:
rules:      base
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc+us+inet(pc105)
geometry:   pc(pc105)
rules:      base
model:      pc105
layout:     us

See screen shot for when X2Go then let me log in as NIS user but command just hangs.

As local user in X2Gono issues:
[localguy@sobolev Desktop]$ setxkbmap -query -v 10
Setting verbose level to 10
locale is C
Trying to load rules file ./rules/base...
Trying to load rules file /usr/share/X11/xkb/rules/base...
Success.
Applied rules from base:
rules:      base
model:      pc105
layout:     us
Trying to build keymap using the following components:
keycodes:   xfree86+aliases(qwerty)
types:      complete
compat:     complete
symbols:    pc+us+inet(pc105)
geometry:   pc(pc105)
rules:      base
model:      pc105
layout:     us
[localguy@sobolev Desktop]$ 




On Wed, Feb 27, 2019 at 4:55 PM Ulrich Sibiller <ulrich.sibiller@gmail.com <mailto:ulrich.sibiller@gmail.com>> wrote:
Ouch... What does setxkmap -query -v 10 show outside the session and
(if possible) inside the session?

BTW: I don't see why NIS users should make a difference here
BTW2: try to avoid NIS. Today I read RHEL8 will finally drop it.

Uli

On Wed, Feb 27, 2019 at 9:51 PM Robert Kudyba <rkudyba@fordham.edu <mailto:rkudyba@fordham.edu>> wrote:
>
> Package: x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64
> nx-libs-3.5.99.18-0.0build1.0.git20190208.3237.heuler.fc29.x86_64
> Version: 4.1.0.4-0.0x2go1.0.git20190114.1758
>
> git20190114.1758: Program terminated with signal SIGFPE, Arithmetic exception error reading variable: Division by zero
>
> Using X2Go with MATE. NIS users are impacted, local users can still login.
>
> from /var/log/message:
>
> Feb 15 09:19:17 ourserver /usr/bin/x2gostartagent[591]: successfully
> started X2Go Agent session with ID agw-57-1550240355_stDMATE_dp32
> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1114]: launching session
> with Xsession-x2go mechanism, using STARTUP="mate-session"
> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1116]: dbus wrapper
> available as /usr/bin/dbus-run-session
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: couldn't access
> control socket: /run/user/1201/keyring/control: No such file or directory
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode1 not existent
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode2 not existent
> Feb 15 09:19:21 ourserver systemd[1653]: Starting Sound Service...
> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: Could not launch
> application 'dropbox.desktop': Unable to start application: Failed to
> execute child process <E2><80><9C>dropbox<E2><80><9D> (No such file or
> directory)
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The SSH agent was
> already initialized
> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The PKCS#11 component
> was already initialized
> Feb 15 09:19:22 ourserver gnome-keyring-daemon[1362]: The Secret Service
> was already initialized
> Feb 15 09:19:22 ourserver spice-vdagent[1504]: Cannot access vdagent virtio
> channel /dev/virtio-ports/com.redhat.spice.0
> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Rejected send message,
> 2 matched rules; type="method_call", sender=":1.349276" (uid=1201 pid=1415
> comm="/usr/bin/pulseaudio --daemonize=no ")
> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Activating service
> name='org.freedesktop.problems' requested by ':1.349262' (uid=1201 pid=1490
> comm="abrt-applet --gapplication-service ") (using servicehelper)
> Feb 15 09:19:22 ourserver systemd[1653]: Started Sound Service.
> Feb 15 09:19:22 ourserver pulseaudio[1415]: E: [pulseaudio] bluez5-util.c:
> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
> Rejected send message, 2 matched rules; type="method_call",
> sender=":1.349276" (uid=1201 pid=1415 comm="/usr/bin/pulseaudio
> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
> member="GetManagedObjects" error name="(unset)" requested_reply="0"
> destination="org.bluez" (bus)
> Feb 15 09:19:24 ourserver kernel: traps: x2goagent[576] trap divide error
> ip:55fdd31839fc sp:7fff211e8100 error:0 in nxagent[55fdd3095000+318000]
> Feb 15 09:19:25 ourserver systemd[1]: Started Process Core Dump (PID
> 1650/UID 0).
> Feb 15 09:19:25 ourserver pulseaudio[1415]: XIO:  fatal IO error 11
> (Resource temporarily unavailable) on X server ":57"
> Feb 15 09:19:25 ourserver pulseaudio[1415]:      after 18 requests (18
> known processed) with 0 events remaining.
> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Main process
> exited, code=exited, status=1/FAILURE
> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Failed with
> result 'exit-code'.
> Feb 15 09:19:25 ourserver mate-session[1126]: WARNING: Detected that
> screensaver has left the bus
> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Service
> RestartSec=100ms expired, scheduling restart.
> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Scheduled
> restart job, restart counter is at 1.
> Feb 15 09:19:26 ourserver systemd[1653]: Stopped Sound Service.
> Feb 15 09:19:26 ourserver systemd[1653]: Starting Sound Service...
> Feb 15 09:19:28 ourserver pulseaudio[1686]: W: [pulseaudio] pid.c: Stale
> PID file, overwriting.
> Feb 15 09:19:28 ourserver dbus-daemon[842]: [system] Rejected send message,
> 2 matched rules; type="method_call", sender=":1.349363" (uid=1201 pid=1686
> comm="/usr/bin/pulseaudio --daemonize=no ")
> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
> Feb 15 09:19:28 ourserver systemd-coredump[1651]: Process 576 (x2goagent)
> of user 1201 dumped core.#012#012Stack trace of thread 576:#012#0
> 0x000055fdd31839fc n/a (nxagent)#012#1  0x000055fdd3183ad5 n/a
> (nxagent)#012#2  0x000055fdd3179c66 n/a (nxagent)#012#3  0x000055fdd30b5cc8
> n/a (nxagent)#012#4  0x000055fdd3099821 n/a (nxagent)#012#5
> 0x00007f634ffa3413 __libc_start_main (libc.so.6)#012#6  0x000055fdd3099b5e
> n/a (nxagent)
> Feb 15 09:19:29 ourserver pulseaudio[1686]: E: [pulseaudio] bluez5-util.c:
> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
> Rejected send message, 2 matched rules; type="method_call",
> sender=":1.349363" (uid=1201 pid=1686 comm="/usr/bin/pulseaudio
> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
> member="GetManagedObjects" error name="(unset)" requested_reply="0"
> destination="org.bluez" (bus)
>
> here's a backtrace:
> Core was generated by: x2goagent -nolisten tcp -nolisten tcp -dpi 96 -D
> -auth /path/to/.Xauthori'.
> Program terminated with signal SIGFPE, Arithmetic exception.
> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
> 688     xkbUtils.c: No such file or directory.
> (gdb) bt full
> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
>         act = 0
> #1  0x000055fdd3183ad5 in XkbComputeDerivedState (xkbi=0x55fdd4422100) at
> xkbUtils.c:714
>         state = 0x55fdd4422112
>         ctrls = 0x55fdd440cd00
>         grp = <optimized out>
> #2  0x000055fdd3179c66 in ProcXkbLatchLockState (client=0x55fdd47b2930) at
> xkb.c:560
>         status = <optimized out>
>         dev = 0x55fdd43d8870
>         oldState = {group = 0 '\000', locked_group = 0 '\000', base_group =
> 0, latched_group = 0, mods = 0 '\000', base_mods = 0 '\000', latched_mods =
> 0 '\000', locked_mods = 0 '\000',
>           compat_state = 0 '\000', grab_mods = 0 '\000', compat_grab_mods =
> 0 '\000', lookup_mods = 0 '\000', compat_lookup_mods = 0 '\000',
> ptr_buttons = 0}
>         newState = 0x55fdd4422112
>         changed = <optimized out>
>         stuff = <optimized out>
> #3  0x000055fdd30b5cc8 in Dispatch () at NXdispatch.c:482
>         clientReady = 0x55fdd44064a0
>         result = <optimized out>
>         client = 0x55fdd47b2930
>         nready = <optimized out>
>         icheck = 0x55fdd34e36d0 <checkForInput>
>         start_tick = 0
>         currentDispatch = <optimized out>
> #4  0x000055fdd3099821 in main (argc=15, argv=0x7fff211e8358,
> envp=<optimized out>) at main.c:353
>         i = <optimized out>
>         xauthfile = <optimized out>
>         alwaysCheckForInput = {0, 1}
>
> xsession error log, from a later attempt:
> mate-session[16641]: WARNING: keycode1 not existent
> mate-session[16641]: WARNING: keycode2 not existent
> Window manager warning: Missing composite extension required for compositingmate-session[16641]: WARNING: Could not launch application 'dropbox.desktop': Unable to start application: Failed to execute child process “dropbox†(No such file or directory)
> Geolocation service not in use
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> Failure: Module initialization failed
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
> Gdk-Message: 09:03:57.940: marco: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
> Gdk-Message: 09:03:57.941: mate-settings-daemon: Fatal IO error 2 (No such file or directory) on X server :57.
>
> Unable to init server: Could not connect: Connection refused
>
> (polkit-mate-authentication-agent-1:16978): Gtk-WARNING **: 09:03:57.941: cannot open display: :57
> Gdk-Message: 09:03:57.944: mate-volume-control-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
> Unable to init server: Could not connect: Connection refused
>
> (nm-applet:16974): Gtk-WARNING **: 09:03:57.945: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
>
> (mate-power-manager:17041): Gtk-WARNING **: 09:03:59.505: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> vmware-user: could not open /proc/fs/vmblock/dev
> Gdk-Message: 09:04:02.022: caja: Fatal IO error 2 (No such file or directory) on X server :57.
>
> Gdk-Message: 09:04:02.022: mate-session: Fatal IO error 2 (No such file or directory) on X server :57.
>
>
> ** (mate-screensaver:16949): WARNING **: 09:04:02.031: Couldn't get presence status: Message recipient disconnected from message bus without replying
> Gdk-Message: 09:04:02.033: mate-screensaver: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>
>
> ** (zeitgeist-datahub:17050): CRITICAL **: 09:04:02.040: log.vala:102: Unable to connect to Zeitgeist: Error calling StartServiceByName for org.gnome.zeitgeist.Engine: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GoaVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.041: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.MTPVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GPhoto2VolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.AfcVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>
> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.043: Error while sending AddMatch() message: The connection is closed
> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.Daemon: The connection is closed (g-io-error-quark, 18)
> Gdk-Message: 09:04:02.376: mate-panel: Fatal IO error 2 (No such file or directory) on X server :57.
>
> SELinux Troubleshooter: Applet requires SELinux be enabled to run
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
> Unable to init server: Could not connect: Connection refused
>
> ** (blueberry-obex-agent.py:16947): CRITICAL **: 09:04:05.296: Failed to get connection to xfconfd: Could not connect: Connection refused
> Traceback (most recent call last):
>   File "/usr/bin/dnfdragora-updater", line 32, in <module>
>     import dnfdaemon.client
>   File "/usr/lib/python3.7/site-packages/dnfdaemon/client/__init__.py", line 192, in <module>
>     session = DBus(Gio.bus_get_sync(Gio.BusType.SESSION, None))
> gi.repository.GLib.Error: g-io-error-quark: Could not connect: Connection refused (39)
> Unable to init server: Could not connect: Connection refused
>
> (blueberry-tray.py:17042): Gtk-WARNING **: 09:04:05.610: cannot open display: :57
> Unable to init server: Could not connect: Connection refused
>
> (evolution-alarm-notify:17015): Gtk-WARNING **: 09:04:06.303: cannot open display: :57
>
> (vmware-user:17085): Gtk-WARNING **: 09:04:07.405: cannot open display: :57
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org <mailto:x2go-dev@lists.x2go.org>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__lists.x2go.org_listinfo_x2go-2Ddev&d=DwIFaQ&c=aqMfXOEvEJQh2iQMCb7Wy8l0sPnURkcqADc2guUW8IM&r=X0jL9y0sL4r4iU_qVtR3lLNo4tOL1ry_m7-psV3GejY&m=qXbD6lVeCXGouzqYfiOFV9l798hoUEsOOWrvFXcKzbA&s=Kr4u1fpkGCC_2vhFwQoH_EJnr8zIfGzHtitP0SsU3uw&e= <https://urldefense.proofpoint.com/v2/url?u=https-3A__lists.x2go.org_listinfo_x2go-2Ddev&d=DwIFaQ&c=aqMfXOEvEJQh2iQMCb7Wy8l0sPnURkcqADc2guUW8IM&r=X0jL9y0sL4r4iU_qVtR3lLNo4tOL1ry_m7-psV3GejY&m=qXbD6lVeCXGouzqYfiOFV9l798hoUEsOOWrvFXcKzbA&s=Kr4u1fpkGCC_2vhFwQoH_EJnr8zIfGzHtitP0SsU3uw&e=>


> On Feb 27, 2019, at 4:54 PM, Ulrich Sibiller <ulrich.sibiller@gmail.com> wrote:
> 
> Ouch... What does setxkmap -query -v 10 show outside the session and
> (if possible) inside the session?
> 
> BTW: I don't see why NIS users should make a difference here
> BTW2: try to avoid NIS. Today I read RHEL8 will finally drop it.
> 
> Uli
> 
> On Wed, Feb 27, 2019 at 9:51 PM Robert Kudyba <rkudyba@fordham.edu <mailto:rkudyba@fordham.edu>> wrote:
>> 
>> Package: x2goserver-4.1.0.4-0.0x2go1.0.git20190114.1758.heuler.fc29.x86_64
>> nx-libs-3.5.99.18-0.0build1.0.git20190208.3237.heuler.fc29.x86_64
>> Version: 4.1.0.4-0.0x2go1.0.git20190114.1758
>> 
>> git20190114.1758: Program terminated with signal SIGFPE, Arithmetic exception error reading variable: Division by zero
>> 
>> Using X2Go with MATE. NIS users are impacted, local users can still login.
>> 
>> from /var/log/message:
>> 
>> Feb 15 09:19:17 ourserver /usr/bin/x2gostartagent[591]: successfully
>> started X2Go Agent session with ID agw-57-1550240355_stDMATE_dp32
>> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1114]: launching session
>> with Xsession-x2go mechanism, using STARTUP="mate-session"
>> Feb 15 09:19:18 ourserver /usr/bin/x2goruncommand[1116]: dbus wrapper
>> available as /usr/bin/dbus-run-session
>> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: couldn't access
>> control socket: /run/user/1201/keyring/control: No such file or directory
>> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode1 not existent
>> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: keycode2 not existent
>> Feb 15 09:19:21 ourserver systemd[1653]: Starting Sound Service...
>> Feb 15 09:19:21 ourserver mate-session[1126]: WARNING: Could not launch
>> application 'dropbox.desktop': Unable to start application: Failed to
>> execute child process <E2><80><9C>dropbox<E2><80><9D> (No such file or
>> directory)
>> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The SSH agent was
>> already initialized
>> Feb 15 09:19:21 ourserver gnome-keyring-daemon[1362]: The PKCS#11 component
>> was already initialized
>> Feb 15 09:19:22 ourserver gnome-keyring-daemon[1362]: The Secret Service
>> was already initialized
>> Feb 15 09:19:22 ourserver spice-vdagent[1504]: Cannot access vdagent virtio
>> channel /dev/virtio-ports/com.redhat.spice.0
>> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Rejected send message,
>> 2 matched rules; type="method_call", sender=":1.349276" (uid=1201 pid=1415
>> comm="/usr/bin/pulseaudio --daemonize=no ")
>> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
>> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
>> Feb 15 09:19:22 ourserver dbus-daemon[842]: [system] Activating service
>> name='org.freedesktop.problems' requested by ':1.349262' (uid=1201 pid=1490
>> comm="abrt-applet --gapplication-service ") (using servicehelper)
>> Feb 15 09:19:22 ourserver systemd[1653]: Started Sound Service.
>> Feb 15 09:19:22 ourserver pulseaudio[1415]: E: [pulseaudio] bluez5-util.c:
>> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
>> Rejected send message, 2 matched rules; type="method_call",
>> sender=":1.349276" (uid=1201 pid=1415 comm="/usr/bin/pulseaudio
>> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
>> member="GetManagedObjects" error name="(unset)" requested_reply="0"
>> destination="org.bluez" (bus)
>> Feb 15 09:19:24 ourserver kernel: traps: x2goagent[576] trap divide error
>> ip:55fdd31839fc sp:7fff211e8100 error:0 in nxagent[55fdd3095000+318000]
>> Feb 15 09:19:25 ourserver systemd[1]: Started Process Core Dump (PID
>> 1650/UID 0).
>> Feb 15 09:19:25 ourserver pulseaudio[1415]: XIO:  fatal IO error 11
>> (Resource temporarily unavailable) on X server ":57"
>> Feb 15 09:19:25 ourserver pulseaudio[1415]:      after 18 requests (18
>> known processed) with 0 events remaining.
>> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Main process
>> exited, code=exited, status=1/FAILURE
>> Feb 15 09:19:25 ourserver systemd[1653]: pulseaudio.service: Failed with
>> result 'exit-code'.
>> Feb 15 09:19:25 ourserver mate-session[1126]: WARNING: Detected that
>> screensaver has left the bus
>> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Service
>> RestartSec=100ms expired, scheduling restart.
>> Feb 15 09:19:26 ourserver systemd[1653]: pulseaudio.service: Scheduled
>> restart job, restart counter is at 1.
>> Feb 15 09:19:26 ourserver systemd[1653]: Stopped Sound Service.
>> Feb 15 09:19:26 ourserver systemd[1653]: Starting Sound Service...
>> Feb 15 09:19:28 ourserver pulseaudio[1686]: W: [pulseaudio] pid.c: Stale
>> PID file, overwriting.
>> Feb 15 09:19:28 ourserver dbus-daemon[842]: [system] Rejected send message,
>> 2 matched rules; type="method_call", sender=":1.349363" (uid=1201 pid=1686
>> comm="/usr/bin/pulseaudio --daemonize=no ")
>> interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects"
>> error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
>> Feb 15 09:19:28 ourserver systemd-coredump[1651]: Process 576 (x2goagent)
>> of user 1201 dumped core.#012#012Stack trace of thread 576:#012#0
>> 0x000055fdd31839fc n/a (nxagent)#012#1  0x000055fdd3183ad5 n/a
>> (nxagent)#012#2  0x000055fdd3179c66 n/a (nxagent)#012#3  0x000055fdd30b5cc8
>> n/a (nxagent)#012#4  0x000055fdd3099821 n/a (nxagent)#012#5
>> 0x00007f634ffa3413 __libc_start_main (libc.so.6)#012#6  0x000055fdd3099b5e
>> n/a (nxagent)
>> Feb 15 09:19:29 ourserver pulseaudio[1686]: E: [pulseaudio] bluez5-util.c:
>> GetManagedObjects() failed: org.freedesktop.DBus.Error.AccessDenied:
>> Rejected send message, 2 matched rules; type="method_call",
>> sender=":1.349363" (uid=1201 pid=1686 comm="/usr/bin/pulseaudio
>> --daemonize=no ") interface="org.freedesktop.DBus.ObjectManager"
>> member="GetManagedObjects" error name="(unset)" requested_reply="0"
>> destination="org.bluez" (bus)
>> 
>> here's a backtrace:
>> Core was generated by: x2goagent -nolisten tcp -nolisten tcp -dpi 96 -D
>> -auth /path/to/.Xauthori'.
>> Program terminated with signal SIGFPE, Arithmetic exception.
>> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
>> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
>> 688     xkbUtils.c: No such file or directory.
>> (gdb) bt full
>> #0  0x000055fdd31839fc in XkbAdjustGroup (group=<error reading variable:
>> Division by zero>, ctrls=ctrls at entry=0x55fdd440cd00) at xkbUtils.c:688
>>        act = 0
>> #1  0x000055fdd3183ad5 in XkbComputeDerivedState (xkbi=0x55fdd4422100) at
>> xkbUtils.c:714
>>        state = 0x55fdd4422112
>>        ctrls = 0x55fdd440cd00
>>        grp = <optimized out>
>> #2  0x000055fdd3179c66 in ProcXkbLatchLockState (client=0x55fdd47b2930) at
>> xkb.c:560
>>        status = <optimized out>
>>        dev = 0x55fdd43d8870
>>        oldState = {group = 0 '\000', locked_group = 0 '\000', base_group =
>> 0, latched_group = 0, mods = 0 '\000', base_mods = 0 '\000', latched_mods =
>> 0 '\000', locked_mods = 0 '\000',
>>          compat_state = 0 '\000', grab_mods = 0 '\000', compat_grab_mods =
>> 0 '\000', lookup_mods = 0 '\000', compat_lookup_mods = 0 '\000',
>> ptr_buttons = 0}
>>        newState = 0x55fdd4422112
>>        changed = <optimized out>
>>        stuff = <optimized out>
>> #3  0x000055fdd30b5cc8 in Dispatch () at NXdispatch.c:482
>>        clientReady = 0x55fdd44064a0
>>        result = <optimized out>
>>        client = 0x55fdd47b2930
>>        nready = <optimized out>
>>        icheck = 0x55fdd34e36d0 <checkForInput>
>>        start_tick = 0
>>        currentDispatch = <optimized out>
>> #4  0x000055fdd3099821 in main (argc=15, argv=0x7fff211e8358,
>> envp=<optimized out>) at main.c:353
>>        i = <optimized out>
>>        xauthfile = <optimized out>
>>        alwaysCheckForInput = {0, 1}
>> 
>> xsession error log, from a later attempt:
>> mate-session[16641]: WARNING: keycode1 not existent
>> mate-session[16641]: WARNING: keycode2 not existent
>> Window manager warning: Missing composite extension required for compositingmate-session[16641]: WARNING: Could not launch application 'dropbox.desktop': Unable to start application: Failed to execute child process “dropbox†(No such file or directory)
>> Geolocation service not in use
>> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
>> Failure: Module initialization failed
>> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
>> SSH_AUTH_SOCK=/run/user/1201/keyring/ssh
>> Gdk-Message: 09:03:57.940: marco: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>> 
>> Gdk-Message: 09:03:57.941: mate-settings-daemon: Fatal IO error 2 (No such file or directory) on X server :57.
>> 
>> Unable to init server: Could not connect: Connection refused
>> 
>> (polkit-mate-authentication-agent-1:16978): Gtk-WARNING **: 09:03:57.941: cannot open display: :57
>> Gdk-Message: 09:03:57.944: mate-volume-control-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>> 
>> Unable to init server: Could not connect: Connection refused
>> 
>> (nm-applet:16974): Gtk-WARNING **: 09:03:57.945: cannot open display: :57
>> Unable to init server: Could not connect: Connection refused
>> 
>> (mate-power-manager:17041): Gtk-WARNING **: 09:03:59.505: cannot open display: :57
>> Unable to init server: Could not connect: Connection refused
>> Unable to init server: Could not connect: Connection refused
>> vmware-user: could not open /proc/fs/vmblock/dev
>> Gdk-Message: 09:04:02.022: caja: Fatal IO error 2 (No such file or directory) on X server :57.
>> 
>> Gdk-Message: 09:04:02.022: mate-session: Fatal IO error 2 (No such file or directory) on X server :57.
>> 
>> 
>> ** (mate-screensaver:16949): WARNING **: 09:04:02.031: Couldn't get presence status: Message recipient disconnected from message bus without replying
>> Gdk-Message: 09:04:02.033: mate-screensaver: Fatal IO error 11 (Resource temporarily unavailable) on X server :57.
>> 
>> 
>> ** (zeitgeist-datahub:17050): CRITICAL **: 09:04:02.040: log.vala:102: Unable to connect to Zeitgeist: Error calling StartServiceByName for org.gnome.zeitgeist.Engine: The connection is closed
>> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GoaVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>> 
>> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.041: Error while sending AddMatch() message: The connection is closed
>> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.MTPVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>> 
>> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
>> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.GPhoto2VolumeMonitor: The connection is closed (g-io-error-quark, 18)
>> 
>> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.042: Error while sending AddMatch() message: The connection is closed
>> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.AfcVolumeMonitor: The connection is closed (g-io-error-quark, 18)
>> 
>> (mate-panel:16883): GLib-GIO-CRITICAL **: 09:04:02.043: Error while sending AddMatch() message: The connection is closed
>> Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.Daemon: The connection is closed (g-io-error-quark, 18)
>> Gdk-Message: 09:04:02.376: mate-panel: Fatal IO error 2 (No such file or directory) on X server :57.
>> 
>> SELinux Troubleshooter: Applet requires SELinux be enabled to run
>> Unable to init server: Could not connect: Connection refused
>> Unable to init server: Could not connect: Connection refused
>> Unable to init server: Could not connect: Connection refused
>> Unable to init server: Could not connect: Connection refused
>> 
>> ** (blueberry-obex-agent.py:16947): CRITICAL **: 09:04:05.296: Failed to get connection to xfconfd: Could not connect: Connection refused
>> Traceback (most recent call last):
>>  File "/usr/bin/dnfdragora-updater", line 32, in <module>
>>    import dnfdaemon.client
>>  File "/usr/lib/python3.7/site-packages/dnfdaemon/client/__init__.py", line 192, in <module>
>>    session = DBus(Gio.bus_get_sync(Gio.BusType.SESSION, None))
>> gi.repository.GLib.Error: g-io-error-quark: Could not connect: Connection refused (39)
>> Unable to init server: Could not connect: Connection refused
>> 
>> (blueberry-tray.py:17042): Gtk-WARNING **: 09:04:05.610: cannot open display: :57
>> Unable to init server: Could not connect: Connection refused
>> 
>> (evolution-alarm-notify:17015): Gtk-WARNING **: 09:04:06.303: cannot open display: :57
>> 
>> (vmware-user:17085): Gtk-WARNING **: 09:04:07.405: cannot open display: :57
>> 
>> _______________________________________________
>> x2go-dev mailing list
>> x2go-dev@lists.x2go.org
>> https://urldefense.proofpoint.com/v2/url?u=https-3A__lists.x2go.org_listinfo_x2go-2Ddev&d=DwIFaQ&c=aqMfXOEvEJQh2iQMCb7Wy8l0sPnURkcqADc2guUW8IM&r=X0jL9y0sL4r4iU_qVtR3lLNo4tOL1ry_m7-psV3GejY&m=qXbD6lVeCXGouzqYfiOFV9l798hoUEsOOWrvFXcKzbA&s=Kr4u1fpkGCC_2vhFwQoH_EJnr8zIfGzHtitP0SsU3uw&e= <https://urldefense.proofpoint.com/v2/url?u=https-3A__lists.x2go.org_listinfo_x2go-2Ddev&d=DwIFaQ&c=aqMfXOEvEJQh2iQMCb7Wy8l0sPnURkcqADc2guUW8IM&r=X0jL9y0sL4r4iU_qVtR3lLNo4tOL1ry_m7-psV3GejY&m=qXbD6lVeCXGouzqYfiOFV9l798hoUEsOOWrvFXcKzbA&s=Kr4u1fpkGCC_2vhFwQoH_EJnr8zIfGzHtitP0SsU3uw&e=>
[Message part 2 (text/html, inline)]
[setxbmap.PNG (image/png, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Nov 15 09:59:49 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.